# Delete Photo Avatar

Deletes an avatar/look by its ID. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Responses** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/photo_avatar/{avatar_id}": {
      "delete": {
        "summary": "Delete photo avatar",
        "description": "",
        "operationId": "delete-photo-avatar-by-id",
        "parameters": [
          {
            "name": "avatar_id",
            "in": "path",
            "description": "Unique identifier of the avatar/look. For avatars, this ID can be retrieved from <a href=\"https://docs.heygen.com/reference/create-photo-avatar-group\" target=\"_blank\">Create Photo Avatar Group</a> endpoint. For looks, this ID can be retrieved from <a href=\"https://docs.heygen.com/reference/add-looks-to-photo-avatar-group\" target=\"_blank\">Add Looks to Photo Avatar Group</a> endpoint",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "code": 100,
                      "data": null,
                      "msg": null,
                      "message": null
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "description": "Status code indicating the result of the API request. A 100 indicates a successful response. Other codes might indicate different types of errors. Refer to the <a href=\"https://docs.heygen.com/reference/errors\" target=\"_blank\">Error Responses</a> for more details."
                    },
                    "data": {
                      "type": "string",
                      "description": "Contains data returned from the call. `null` in case of delete operation. "
                    },
                    "msg": {
                      "type": "string",
                      "description": "Legacy field for messages. This field is deprecated."
                    },
                    "message": {
                      "type": "string",
                      "description": "New field for messages. Contains human-readable messages explaining the status of the request. In case of errors, it returns an explanation."
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Photo Avatar Not Found",
            "content": {
              "application/json": {
                "examples": {
                  "Photo Avatar Not Found": {
                    "value": {
                      "data": null,
                      "error": {
                        "code": "internal_error",
                        "message": "photo avatar not found"
                      }
                    },
                    "summary": "Photo Avatar Not Found"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```